package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SystemConfig{
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String orderRate;
    private String tixianRate;
    private String extra;
    private String useFlag;
    private Integer personalDeposit;
    private Integer companyDeposit;

private String idStr;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public Date getUpdateTime(){
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime){
        this.updateTime = updateTime;
    }
    public String getUpdateUser(){
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser){
        this.updateUser = updateUser;
    }
    public Date getCreateTime(){
        return this.createTime;
    }

    public void setCreateTime(Date createTime){
        this.createTime = createTime;
    }
    public String getCreateUser(){
        return this.createUser;
    }

    public void setCreateUser(String createUser){
        this.createUser = createUser;
    }
    public String getOrderRate(){
        return this.orderRate;
    }

    public void setOrderRate(String orderRate){
        this.orderRate = orderRate;
    }
    public String getTixianRate(){
        return this.tixianRate;
    }

    public void setTixianRate(String tixianRate){
        this.tixianRate = tixianRate;
    }
    public String getExtra(){
        return this.extra;
    }

    public void setExtra(String extra){
        this.extra = extra;
    }
    public String getUseFlag(){
        return this.useFlag;
    }

    public void setUseFlag(String useFlag){
        this.useFlag = useFlag;
    }
    public Integer getPersonalDeposit(){
        return this.personalDeposit;
    }

    public void setPersonalDeposit(Integer personalDeposit){
        this.personalDeposit = personalDeposit;
    }
    public Integer getCompanyDeposit(){
        return this.companyDeposit;
    }

    public void setCompanyDeposit(Integer companyDeposit){
        this.companyDeposit = companyDeposit;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

public String getIdStr() {
    return idStr;
}

public void setIdStr(String idStr) {
    this.idStr = idStr;
}

}

